KRB5_GET_FORWARDED_CREDS(3)

NAME
krb5_get_forwarded_creds, krb5_fwd_tgt_creds - get forwarded credentials from the KDC

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5.h>
krb5_error_code
krb5_get_forwarded_creds(krb5_context context, krb5_auth_context auth_context, krb5_ccache ccache, krb5_flags flags, const char *hostname, krb5_creds *in_creds, krb5_data *out_data);
krb5_error_code
krb5_fwd_tgt_creds(krb5_context context, krb5_auth_context auth_context, const char *hostname, krb5_principal client, krb5_principal server, krb5_ccache ccache, int forwardable, krb5_data *out_data);

DESCRIPTION
krb5_get_forwarded_creds() and krb5_fwd_tgt_creds() get tickets forwarded to hostname. If the tickets that are forwarded are address-less, the forwarded tickets will also be address-less, otherwise hostname will be used for figure out the address to forward the ticket too.

SEE ALSO
krb5(3), krb5_get_credentials(3), krb5.conf(5)